Bug 493022 - winbind needs to be started before netfs
winbind needs to be started before netfs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks: 502912 592984
  Show dependency treegraph
 
Reported: 2009-03-31 07:26 EDT by Sachin Prabhu
Modified: 2010-10-23 04:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592984 (view as bug list)
Environment:
Last Closed: 2010-05-17 10:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2009-03-31 07:26:57 EDT
To mount Windows shares at boot time, we need to add it to fstab. If we pass the uid,gid mount options pointing to an AD user to define the owner and group for files on the share, winbind must be started before netfs.

//<host name >/samba2 /mnt/smb2 cifs user=example.com/test,credentials=/etc/test.credentials,rw,uid=test,gid=test 0 0

On RHEL 5, the start priority for netfs is #25 and for winbind it is  under # 91. 

To work around the problem, we would need to change the start priority for netfs or winbind manually.
Comment 1 Simo Sorce 2009-03-31 08:40:24 EDT
Not so simple, while winbindd can use cached data it needs the network too.
Have you tested moving winbindd before netfs? Does it work correctly ?
Comment 2 Simo Sorce 2009-03-31 08:44:41 EDT
Sorry I read netfs and parsed "network".
However is /usr/sbin always certainly available when netfs is started ?
Comment 5 Dmitri Pal 2010-05-17 10:38:58 EDT
There is a workaround to change levels in the init script manually. 
We will try to address this issue in 6.1. No plans for 5.x closing as won't fix.

Note You need to log in before you can comment on or make changes to this bug.